summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-10-09 12:36:54 +0000
committer Eric Hameleers <alien@slackware.com>2020-10-09 12:36:54 +0000
commitd1be4ec49b6d14b3e4a681e0b3e9f1b7b204f7f0 (patch)
tree3bf80934075ce63ed55c1e83be9a8fe5af532ef9
parent709f2d59321cd77ffd8c0174d718a53ad631c3f3 (diff)
downloadasb-d1be4ec49b6d14b3e4a681e0b3e9f1b7b204f7f0.tar.gz
asb-d1be4ec49b6d14b3e4a681e0b3e9f1b7b204f7f0.tar.xz
audacity: added X-DAW category to desktop file for liveslak menu.
-rwxr-xr-xaudacity/build/audacity.SlackBuild12
1 files changed, 11 insertions, 1 deletions
diff --git a/audacity/build/audacity.SlackBuild b/audacity/build/audacity.SlackBuild
index c463020d..88c3c94c 100755
--- a/audacity/build/audacity.SlackBuild
+++ b/audacity/build/audacity.SlackBuild
@@ -45,6 +45,8 @@
# because it is way too buggy.
# 2.4.2-1: 27/jun/2020 by Eric Hameleers <alien@slackware.com>
# * Update. Use cmake, and an internal patched wxGTK3.
+# 2.4.2-2: 09/oct/2020 by Eric Hameleers <alien@slackware.com>
+# * Added X-DAW category to desktop file.
#
# Run 'sh audacity.SlackBuild' to build a Slackware package.
# The package (.t?z) and .txt file as well as build logs are created in /tmp .
@@ -54,7 +56,7 @@
PRGNAM=audacity
VERSION=${VERSION:-2.4.2}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
TAG=${TAG:-alien}
@@ -300,6 +302,14 @@ install -vDm 644 nyquist/*.lsp -t ${PKG}/usr/share/${PRGNAM}/nyquist
# ldd complains if the shared libraries are not executable:
chmod 0755 ${PKG}/usr/lib${LIBDIRSUFFIX}/${PRGNAM}/*.so
+# Add 'X-DAW' category to the desktop file (for liveslak):
+for DESKTOPF in $PKG/usr/share/applications/*.desktop ; do
+ if ! grep -q X-DAW $DESKTOPF ; then
+ sed -i $DESKTOPF \
+ -e "s/^Categories=\(.*\)/Categories=X-DAW;\1/"
+ fi
+done
+
# Add this to the doinst.sh:
mkdir -p $PKG/install
cat <<EOINS >> $PKG/install/doinst.sh